Skip to content

Publish an existing content post

Request

Change the state of the content to “published.” If the content is already in the “published” state, this request does nothing. Content in a “scheduled” state remains scheduled. For all other states, the content is published immediately.
Publishing content requires that at least one topic be associated to the content, as content must always have at least one topic.

Response body is the updated record. This endpoint returns 400 Bad Request if the content cannot be published. Some attributes have validations that are only applied when moving content to the published state. For example, content cannot be published until its title has been filled in.

Security
oauth2_as_a_user(Required scopes: content.write) or oauth2_as_a_server(Required scopes: content.write)
Path
content_idintegerrequired

ID or UUID of the content post

curl -i -X PUT \
  'https://partner.socialchorus.com/v2/content/{content_id}/publish' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Content Published

Bodyapplication/json
dataobject(Content.Post.Resource)
Response
{ "data": { "id": 456, "version": 1, "uuid": "8b358e6b-11d4-4e89-bf7f-ec670e3398ed", "content_type": "article", "cover_image_alt": "Image of an elephant", "permalink_url": "https://onfirstup.com/acme/acmetimes/sc4#contents/456", "title": "Example Article Title", "summary": "Example article summary", "body": "Example article body", "state": "published", "accent_color": "#ae2225", "featured_label": "Save Pandora!", "featured": false, "author": {}, "channels": [], "source": {}, "template": {}, "visibility": "public", "shareable_url": "https://onfirstup.com/acme/acmetimes/sc4#contents/456", "language": "en", "is_translatable": true, "is_commentable": true, "comment_count": 5, "created_at": "2000-01-01T00:00:00Z", "updated_at": "2000-01-01T00:00:00Z", "published_at": "2000-01-01T00:00:00Z", "links": [], "images": [], "image_blocks": [], "videos": [], "initiatives": [] } }